BevelSeparatorImage.SeparatorData (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.html.images.BevelSeparatorImage.SeparatorData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class BevelSeparatorImage.SeparatorData

    java.lang.Object
      org.richfaces.renderkit.html.images.BevelSeparatorImage.SeparatorData

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  BevelSeparatorImage

    protected static class BevelSeparatorImage.SeparatorData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `BevelSeparatorImage.SeparatorData()`

Method Summary
`int` | `getBgColor()`
`int` | `getGradColor()`
`int` | `getHeight()`
`int` | `getLevel3D()`
`void` | `setBgColor(int bgColor)`
`void` | `setGradColor(int gradColor)`
`void` | `setHeight(int height)`
`void` | `setLevel3D(int level3D)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BevelSeparatorImage.SeparatorData

    protected BevelSeparatorImage.SeparatorData()

Method Detail

### getBgColor

    public int getBgColor()

### setBgColor

    public void setBgColor(int bgColor)

### getGradColor

    public int getGradColor()

### setGradColor

    public void setGradColor(int gradColor)

### getHeight

    public int getHeight()

### setHeight

    public void setHeight(int height)

### getLevel3D

    public int getLevel3D()

### setLevel3D

    public void setLevel3D(int level3D)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.